| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.Vector2d Class Reference

An arithmetic vector. More...

Inheritance diagram for IOLink.Vector2d:

## Public Member Functions
| Vector2d (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| Vector2d (params double[] values)
override bool | Equals (object obj)
| Vector2d ()
| Create a vector with unitialized values.
| Vector2d (VectorXd other)
| Build a Vector from a VectorX of same type.
| Vector2d (VectorXd other, double padding)
| Build a vector from a VectorX of same type.
| Vector2d (Vector2d other)
uint | Size ()
| Returns the size of the vector, which also correspond to vector number of dimension.
double | At (uint index)
| Access vector's value at given index.
void | SetAt (uint index, double value)
| Set value as given index.
double | SquaredLength ()
| Returns the vector's norm, squared.
double | Length ()
| Returns the vector's norm.
void | Normalize ()
| Normalize the vector.
string | ToString ()
double | Dot (Vector2d v)
| Dot product of two vectors.
Vector2d | Cross (Vector2d v)
| Cross product of two vectors.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Vector2d obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (Vector2d obj)
static bool | operator== (Vector2d v1, Vector2d v2)
static bool | operator!= (Vector2d v1, Vector2d v2)
static Vector2d | operator+ (Vector2d v1, Vector2d v2)
static Vector2d | operator- (Vector2d v1, Vector2d v2)
static Vector2d | operator* (Vector2d v, double value)
static Vector2d | operator* (double value, Vector2d v)
static Vector2d | operator/ (Vector2d v, double value)
static Vector2d | operator* (Vector2d v1, Vector2d v2)
static Vector2d | operator/ (Vector2d v1, Vector2d v2)
static bool | operator< (Vector2d v1, Vector2d v2)
static bool | operator<= (Vector2d v1, Vector2d v2)
static bool | operator> (Vector2d v1, Vector2d v2)
static bool | operator>= (Vector2d v1, Vector2d v2)
static Vector2d | CreateUniform (double value)
| Create a vector with the given value for all components.
static Vector2d | InternalDivides (Vector2d v, double value)
static Vector2d | InternalDivides (Vector2d v1, Vector2d v2)
static bool | InternalLess (Vector2d v1, Vector2d v2)
static bool | InternalLessEqual (Vector2d v1, Vector2d v2)
static bool | InternalGreater (Vector2d v1, Vector2d v2)
static bool | InternalGreaterEqual (Vector2d v1, Vector2d v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
double | this[uint index]`[get, set]`

## Detailed Description

An arithmetic vector.

Parameters

  T | The type wrote in the vector.
  N | The size, or number of dimension of the vector.

Aliases can be used to made this class more practical to use. They use the following convention: VectorNX Where N is the size and X the type. The types currently available are:

- U8 and I8 respectively for unsigned and signed 8bits integers.
- U16 and I16 respectively for unsigned and signed 16bits integers.
- U32 and I32 respectively for unsigned and signed 32bits integers.
- U64 and I64 respectively for unsigned and signed 64bits integers.
- F for single precision floats.
- D for double precision floats.

Examples:

- Vector2i32: 2 dimensional 32bits signed integer.
- Vector3f: 3 dimensionnal single precision float.

Examples
  ColorWheel.cs, and GradientFloatToInt.cs.

## Constructor & Destructor Documentation

## ◆ Vector2d() [1/2]

IOLink.Vector2d.Vector2d | ( | VectorXd | other | ) |
| inline

Build a Vector from a VectorX of same type.

If the VectorX has a size different of N, behavior is undefined.

## ◆ Vector2d() [2/2]

IOLink.Vector2d.Vector2d | ( | VectorXd | other,
|  | double | padding
| ) |  |
| inline

Build a vector from a VectorX of same type.

Parameters

  other | VectorX to use to build the new vector
  padding | Value to put at the end of vector to fill missing values. Fox example, Vector4({4, 5}, 0) will create the Vector {4, 5, 0, 0}.

## Member Function Documentation

## ◆ CreateUniform()

static Vector2d IOLink.Vector2d.CreateUniform | ( | double | value | ) |
| inline static

Create a vector with the given value for all components.

Parameters

  value | The value wich the vector's data will be filled.

## ◆ Cross()

Vector2d IOLink.Vector2d.Cross | ( | Vector2d | v | ) |
| inline

Cross product of two vectors.

Work only for vectors of size 3.

## ◆ Length()

double IOLink.Vector2d.Length | ( |  | ) |
| inline

Returns the vector's norm.

Specifically, it is the L1 norm that's computed here.

Examples
  ColorWheel.cs.

## ◆ SquaredLength()

double IOLink.Vector2d.SquaredLength | ( |  | ) |
| inline

Returns the vector's norm, squared.

Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/net/generated/Vector2d.cs